/// <reference types="jasmine" />
declare type Type<T> = {
    new (...args: any[]): T;
};
export declare function spyOnClass<T>(spiedClass: Type<T>): jasmine.SpyObj<T>;
export declare function provideMock<T>(spiedClass: Type<T>): {
    provide: Type<T>;
    useValue: jasmine.SpyObj<T>;
};
export {};
