"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
async function processTemplate(options) {
    // Compile
    const compileOptions = {
        interpolate: /{{([\s\S]+?)}}/g,
        imports: {
            _: _.runInContext()
        }
    };
    const generate = _.template(options.template, compileOptions);
    // Run
    const data = generate(options.variables);
    return {
        data
    };
}
exports.processTemplate = processTemplate;
//# sourceMappingURL=process-template.js.map